# Snowlight

A free/libre reimplementation of Snowblind Studios' engine used in Baldur's Gate: Dark Alliance 1 and 2, as well as several other games.


## FAQ

### Why the name?

Well, the original engine was called either the Snowblind Engine, after the studio that made it, or the Dark Alliance Engine, after the first game that used it, but both of those names are potentially trademarked. And [the repository that inspired this one](https://github.com/bigianb/frostbite) unfortunately shares a name with the much more well-known Frostbite Engine by DICE of _Battlefield_ fame, which is a bit confusing, to say the least.
Snowlight refers to the light reflected off of snow, and snowblind is what results from that bright light reflecting into your eyes, which seemed like a perfect fit. It also sounds nicer than a more generic name like OpenBGDA or OpenSB.

### Why not continue working on the old repository?
Originally, I (Rose) made [my fork](https://codelabs.alteria.xyz/rosethorn/frostbite) so I could compile and mess with this rudimentary Snowblind Engine on my system. Beyond just compiling on Linux, I wanted to extend it so it could work with the files from the Gamecube, Xbox, and PC (Windows/Mac/Linux) versions, and eventually make something playable out of it, for the sake of a better port than the recent PC rerelease.

But I soon realised that the lack of a license on the code might be a problem. From my own research, it seems like the default with no license is "all rights reserved (to the authors)". Really, I could just ignore that and put a license on it myself, but that's not technically legal since I didn't write the original code. So I thought it was better to just start over from the beginning and avoid licensing nightmares. Besides, it's a good opportunity to learn to program.
